PDA

View Full Version : AMD Unsupported hardware



naren_bishayee
13-Sep-2012, 06:31
Hi all,
I have a Dell Inspiron 1564 Laptop, lastday I installed SLED-11-SP2 32 bit with Gnome. On boot prompt, in my system, are 5 options, as below,
"SUSE Linux Enterprise Desktop 11 SP2 - 3.0.38-0.5 (default)"
"Failsafe -- SUSE Linux Enterprise Desktop 11 SP2 - 3.0.38-0.5 (default)"
"Trace -- SUSE Linux Enterprise Desktop 11 SP2 - 3.0.38-0.5"
"SUSE Linux Enterprise Desktop 11 SP2 - 3.0.38-0.5"
"Failsafe -- SUSE Linux Enterprise Desktop 11 SP2 - 3.0.38-0.5 (pae)"

Option 4 (PAE) is the default boot option, set by system automatically.

After Installation & Automatic update, I was not able to set desktop effect from compiz, but whenever I opened "Graphics Card and Monitor" from "Control Center" it Displaying the following information under "Monitor" tab,
Card : ATI M92 (M92 9552)
Monitor : LGD ********
Resolution : 1366x768 (WXGA)
Activate 3D Acceleration : Disbled

Later just booted from option 5 and Again open sax2 & save, after that I can't able to view login GUI, if I use option 4.
Currently I'm able to boot from option 1. and Desktop effect is working well
But here is some horrible thing is displaying. On bottom right corner A transparent Image is displaying with below message,
"AMD"
"Unsupported"
"hardware"

I also list the installed packages from ATI repo :
"ati-fglrxG02-kmp-default"
"ati-fglrxG02-kmp-pae"
"x11-video-fglrxG02"

I also pasting the hwinfo --gfx output below,
linux-9dxj:~ # hwinfo --gfx
22: PCI 200.0: 0300 VGA compatible controller (VGA)
[Created at pci.323]
UDI: /org/freedesktop/Hal/devices/pci_1002_9552
Unique ID: B35A.OD+KH6Bakh3
Parent ID: vSkL.RdVcte4q6g2
SysFS ID: /devices/pci0000:00/0000:00:01.0/0000:02:00.0
SysFS BusID: 0000:02:00.0
Hardware Class: graphics card
Model: "ATI M92 (M92 9552)"
Vendor: pci 0x1002 "ATI Technologies Inc"
Device: pci 0x9552 "M92 (M92 9552)"
SubVendor: pci 0x1028 "Dell"
SubDevice: pci 0x0434
Driver: "fglrx_pci"
Driver Modules: "fglrx"
Memory Range: 0xd0000000-0xdfffffff (ro,non-prefetchable)
I/O Ports: 0x2000-0x2fff (rw)
Memory Range: 0xcfef0000-0xcfefffff (rw,non-prefetchable)
Memory Range: 0xcfe00000-0xcfe1ffff (ro,non-prefetchable,disabled)
IRQ: 45 (145825 events)
I/O Ports: 0x3c0-0x3df (rw)
Module Alias: "pci:v00001002d00009552sv00001028sd00000434bc03sc00 i00"
Driver Info #0:
XFree86 v4 Server Module: fglrx
Driver Info #1:
XFree86 v4 Server Module: fglrx
3D Support: yes
Extensions: dri
Config Status: cfg=no, avail=yes, need=no, active=unknown
Attached to: #9 (PCI bridge)

Primary display adapter: #22
linux-9dxj:~ #

So, can any one please help me to boot my system with PAE with Desktop effect enabled

Bob-O-Rama
14-Sep-2012, 04:10
I have been struggling with the ATI vs Compiz problem on multiple laptops. This was happen on prior versions of SLED and on openSuSE 11.4, but after wasting far too much time on it, I've given up.

But I digress....

if booting up with ( option 1, or whatever ) and everything else works to your satisfaction, just change the default to ( option 1 ) via editing /boot/grub/menu.lst

Near the top of the file you'll see...

default 0 <-- which menu option to choose by default
timeout 3 <-- how long to wait

0 is the first on the list, so presumably you want it to look sort of like this.

It does not hurt to make a backup copy of the menu.lst file in case you hose it up.

cp menu.lst menu.lst.cya

Check options for the two, they may be similar, or identical. In other words, use what works.

Hoe much RAM does your laptop have?

-- Bob

naren_bishayee
14-Sep-2012, 06:30
Hi bob,
Currently my laptop running Compiz with only default kernel, but my system is capable to run with PAE mode, so, is there any way to work ATI with compiz on PAE kernel.
My laptop have 4GB RAM.

Please help me. Last time, before installed SP2, laptop running well with PAE kernel with ATI & compiz & I think only because, 3 years ago I installed SLED11, later it automatically upgraded to SP1 & later SP2.
So, please help me somehow.

Thanks

malcolmlewis
25-Sep-2012, 14:17
Hi bob,
Currently my laptop running Compiz with only default
kernel, but my system is capable to run with PAE mode, so, is there any
way to work ATI with compiz on PAE kernel.
My laptop have 4GB RAM.

Please help me. Last time, before installed SP2, laptop running well
with PAE kernel with ATI & compiz & I think only because, 3 years ago I
installed SLED11, later it automatically upgraded to SP1 & later SP2.
So, please help me somehow.

Thanks



Hi
So I've just acquired a HP ProBook 4525s which had the same issue ;) But
it is all resolved and have compiz running fine :)

It was a bit of a round about solution from here;
http://en.opensuse.org/SDB:AMD_fglrx_legacy

What I would do is un-install the fgrlx drivers from the ATI repository
and boot back into the radeon driver first, then do as follows;

Go straight to the section "Building yourself the rpm" I didn't use
root user for the wget stuff, and when using the su command use su -

Note you do need an internet connection....

Now once installed (and maybe rebooted), you need to reboot the
computer and in the grub options add the option detailed in the section
"zypper command line"


radeon.modeset=0 blacklist=radeon 3

Once the computer is booted, login as root user from the console and
run;


mkinitrd

Reboot the computer, again adding the grub command above, then once
booted, again login as root user and run;


sax2 -r -m 0=fglrx

Configure up as required in SaX, save, then run;


init 5 && exit

Now you should be able to login (or logged in if set to autologin) and
now you can enable compiz (don't worry if it fails, as long as the
checkbox has a tick), reboot your computer and it should all be good.

I would also disable the ATI repository to avoid any conflicts.

--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 12.2 (x86_64) Kernel 3.4.6-2.10-desktop
up 1 day 20:02, 3 users, load average: 0.08, 0.04, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

naren_bishayee
29-Sep-2012, 13:07
Hi Malcolm,
Thanks for the details.
But I already did something different.
I just Download the following package from AMD site

"amd-driver-installer-12.6-legacy-x86.x86_64.run"

Remove all ATI driver, run the above file, after a reboot, compiz is working well with PAE